Bug 1226770 - rootsh RPM does not create default logging directory
Summary: rootsh RPM does not create default logging directory
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rootsh
Version: epel7
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-01 04:43 UTC by Aaron Howell
Modified: 2015-06-21 00:29 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-20 21:14:04 UTC


Attachments (Terms of Use)

Description Aaron Howell 2015-06-01 04:43:36 UTC
Description of problem:
installation of rootsh does not create default logging directory which results in errors when executing with defaults

Version-Release number of selected component (if applicable):
All versions (including EPEL5,6)

How reproducible:
Everytime

Steps to Reproduce:
1. Install rootsh (yum install rootsh)
2. execute rootsh (sudo rootsh)

Actual results:
/var/log/rootsh/username.20150601143336.05df8: No such file or directory
No root shell

Expected results:
No error and a root shell

Additional info:
The .spec file would just need a small update to create the directory during install

Comment 1 Fedora Update System 2015-06-02 18:51:48 UTC
rootsh-1.5.3-11.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rootsh-1.5.3-11.fc21

Comment 2 Fedora Update System 2015-06-02 18:51:55 UTC
rootsh-1.5.3-11.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rootsh-1.5.3-11.el5

Comment 3 Fedora Update System 2015-06-02 18:52:01 UTC
rootsh-1.5.3-11.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rootsh-1.5.3-11.fc22

Comment 4 Fedora Update System 2015-06-02 18:52:07 UTC
rootsh-1.5.3-11.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rootsh-1.5.3-11.el7

Comment 5 Fedora Update System 2015-06-02 18:52:14 UTC
rootsh-1.5.3-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rootsh-1.5.3-11.el6

Comment 6 Fedora Update System 2015-06-02 18:53:23 UTC
rootsh-1.5.3-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rootsh-1.5.3-11.fc20

Comment 7 lnie 2015-06-03 02:41:43 UTC
rootsh-1.5.3-11.fc22 works

Comment 8 Fedora Update System 2015-06-03 15:46:18 UTC
Package rootsh-1.5.3-11.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rootsh-1.5.3-11.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6534/rootsh-1.5.3-11.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-06-20 21:14:04 UTC
rootsh-1.5.3-11.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-06-20 21:14:23 UTC
rootsh-1.5.3-11.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-20 21:15:52 UTC
rootsh-1.5.3-11.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-06-21 00:03:23 UTC
rootsh-1.5.3-11.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-06-21 00:08:47 UTC
rootsh-1.5.3-11.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-06-21 00:29:28 UTC
rootsh-1.5.3-11.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.